;Copyright CANON INC. 2019
; DelDrv.ini
;
; LastModified: 27-Jun-2023
;
[Setup]
GUID={6D158615-2530-467e-BE18-09509F0D4340}
Version=6.50
DeviceName=Canon MF540 Series
CommandLine=/S /W %x /DN "%s" /MN "%s" /CMFPUNINST /FDD /UL 1 /CALL %d /HWID "%s"
ScanGearType=2

;String ini
Strings=SetupRes.ini
;Resource 
Resources=%FILE_DELDRV_RESOURCES%

[Canon MF540 Series]
Model=MF540
Driver0=BDL,Canon Generic Plus UFR II V290,Canon MF540 Series UFR II,CanonMF540_Series_UFF12D
Driver1=PCL6,Canon Generic Plus PCL6 V290,Canon MF540 Series PCL6,CanonMF540_Series_PCA943
Driver2=PS,Canon Generic Plus PS3 V290,Canon MF540 Series PS3,CanonMF540_Series_PSA0E7
Driver3=FAX,Canon Generic FAX Driver (FAX),Canon MF540 Series Fax,CanonMF540_Series_FA2B4B
Driver4=SCAN,Canon MF540 Series,MF540,USB\VID_04A9&PID_2824

[DriverUninstallerNames]
BDL=HKLM,SOFTWARE\Canon\PrnUninst,exePath
PCL6=HKLM,SOFTWARE\Canon\PrnUninst,exePath
PS=HKLM,SOFTWARE\Canon\PrnUninst,exePath
FAX=HKLM,SOFTWARE\Canon\PrnUninst,exePath
SCAN=HKLM,SOFTWARE\Canon\SGGenMFUninst,exePath

[DriverUninstallerNamesEx]
BDL=DIRECT,..\%DIR_INTDRV%\UFRII%DIR_OS%%DIR_UNINSTALLER%%PATH_UNINSATLLER%
PCL6=DIRECT,..\%DIR_INTDRV%\PCL6%DIR_OS%%DIR_UNINSTALLER%%PATH_UNINSATLLER%
PS=DIRECT,..\%DIR_INTDRV%\PS%DIR_OS%%DIR_UNINSTALLER%%PATH_UNINSATLLER%
FAX=DIRECT,..\%DIR_INTDRV%\FAX%DIR_OS%%DIR_UNINSTALLER%%PATH_UNINSATLLER%
SCAN=DIRECT,..\%DIR_INTDRV%\SCAN%DIR_OS%%DIR_UNINSTALLER%\ScanDelDrv.exe

[PushScanEvent]
ExePath=\Ext\SetEvent.exe
CmdLine="-e=unregist -d="%s""

;-------------------------------------------------------------
; OPTIONAL
;-------------------------------------------------------------
[OS]
Srv2008_Edition=00003DC010003800
